#!/bin/sh

mkdir "`cygpath -u -A -P`/Singular CAS"
mkdir "`cygpath -u -A -P`/Singular CAS/Cygwin"

##################### Singular CAS\Cygwin
# Bash Shell
mkshortcut -A -a '' \
       -P /cygwin.bat -n "Singular CAS\Cygwin\Bash shell" \
       -i /bin/rxvt.exe \
       -d "This starts a bash shell."

# Rxvt Terminal
mkshortcut -A -a '-rv -fn "FixedSys" -e /bin/bash --login -i' \
       -i /bin/rxvt.exe -n "Singular CAS\Cygwin\Rxvt - Terminal" \
       -P /bin/rxvt -d "This starts an rxvt terminal."

##################### Singular CAS
# Singular in rxvt
mkshortcut -A -a '-rv -fn "FixedSys" -e /bin/bash --login -i -c Singular' \
       -i /usr/lib/Singular/runTSingular.exe -n "Singular CAS\Singular (rxvt)" \
       -P /bin/rxvt -d "This starts Singular in an rxvt terminal."

# Singular in DOS mode
mkshortcut -A -a Singular \
       -i /usr/lib/Singular/Singular.exe -n "Singular CAS\Singular (Terminal)" \
       -P /bin/bash -d "This starts Singular in a Microsoft terminal."

# Emacs + Singular
if test -f /bin/XWin.exe; then
mkshortcut -A -a 'bash -c -l "((xwin -multiwindow -clipboard -silent-dup-error &) && sleep 5 && (ESingular --emacs=xemacs)) &"' \
       -i /usr/lib/Singular/runESingular.exe -n "Singular CAS\Singular (Emacs and X-Server)" \
       -w /bin \
       -P /bin/run.exe -d "This starts Singular in Emacs after starting the X-Server."
fi

##################### Desktop
# Singular in rxvt
mkshortcut -A -a '-rv -fn "FixedSys" -e /bin/bash --login -i -c Singular' \
       -i /usr/lib/Singular/runTSingular.exe -n "Singular (rxvt)" \
       -D /bin/rxvt -d "This starts Singular in an rxvt terminal."

# Singular in DOS mode
mkshortcut -A -a Singular \
       -i /usr/lib/Singular/Singular.exe -n "Singular (Terminal)" \
       -D /bin/bash -d "This starts Singular in a Microsoft terminal."

# Emacs + Singular
if test -f /bin/XWin.exe; then
mkshortcut -A -a 'bash -c -l "((xwin -multiwindow -clipboard -silent-dup-error &) && sleep 5 && (ESingular --emacs=xemacs)) &"' \
       -i /usr/lib/Singular/runESingular.exe -n "Singular (Emacs and X-Server)" \
       -w /bin \
       -D /bin/run.exe -d "This starts Singular in Emacs after starting the X-Server."
fi

